header {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 10000;
  border-bottom: 1px solid #bc955c;
}

header .shrink {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #00263a;
  padding: 0.5rem 2rem;
}

header .container {
  transition: all 0.3s linear;
}

header .logo {
  width: clamp(7.5rem, 5.976vw + 6.454rem, 13.625rem);
}

header .shrink .logo svg {
  scale: 0.9;
  transition: all 0.3s linear;
}

.container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #00263a;
  padding: 1.5rem 2rem;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar .navItem ul {
  display: flex;
  flex-wrap: wrap;
  gap: clamp(1rem, 0.976vw + 0.829rem, 2rem);
  list-style-type: none;
  text-transform: uppercase;
}

.navbar li {
  color: #cececf;
}

.navbar li:hover {
  color: #bc955c;
}

.navbar .active {
  color: #bc955c;
}

.searchBar input {
  border-radius: 25px;
  border: 1px solid rgba(188, 149, 92, 1);
  background-color: #00263a26;
  width: 100%;
  padding: 0.8em;
  color: #ffffff;
}

.searchBar input::placeholder {
  color: #bc965c80;
}

.searchBar {
  display: flex;
  align-items: center;
  justify-content: center;
}

.searchIcon {
  margin-left: -2rem;
}

.contactInfo {
  display: flex;
  align-items: center;
  gap: clamp(1rem, 0.976vw + 0.829rem, 2rem);
}

.social-links {
  display: flex;
  align-items: center;
  gap: clamp(1rem, 0.976vw + 0.829rem, 2rem);
}

.contactInfo .social:hover svg {
  fill: #bc955c;
  z-index: 1;
}

.contactInfo .social:hover path {
  stroke: #ffffff;
}

.contactInfo .social .inner {
  z-index: 2;
}

.contactInfo .phone {
  display: flex;
  gap: 0.5rem;
  border-radius: 25px;
  border: 1px solid rgba(188, 149, 92, 1);
  padding: 0.5rem 1rem;
  transition: all 0.3s ease-in-out;
}

.contactInfo .phone:hover {
  background-color: #bc955c;
}

.contactInfo .phone svg path {
  fill: #bc955c;
  transition: all 0.3s ease-in-out;
}

.contactInfo .phone:hover svg path {
  fill: #ffffff;
}

.phone p {
  color: #ffffff;
  font-size: 1rem;
  font-family: "Praysire Demo", "sans-serif";
  letter-spacing: 2px;
  padding-top: 2px;
}

/* Hamburger Styles */

.menu-icon {
  display: none;
}

#menu-toggle {
  display: none;
}

#menu-toggle:checked ~ .navbar {
  transform: scale(1, 1);
}

#menu-toggle:checked ~ .contactInfo {
  transform: scale(1, 1);
}

@media only screen and (max-width: 1024px) {
  header {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 10000;
  }

  .container {
    padding: 0.5rem 1rem;
    position: relative;
  }

  header .shrink {
    padding: 0 0.5rem;
  }

  .navbar {
    background-color: #00263ae7;
    position: absolute;
    top: 3.45rem;
    left: 0;
    z-index: 2;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 0.2s ease-in;
    width: 100%;
    flex-direction: column;
  }

  .navbar li {
    text-align: center;
  }

  .shrink .navbar {
    top: 2.4rem;
  }

  .navbar .navItem ul {
    flex-direction: column;
    padding: 1rem 0;
    /* text-align: center; */
  }

  .phone p {
    font-size: 0.8rem;
  }

  .menu-icon {
    display: block;
    color: #fff;
    font-size: 28px;
    cursor: pointer;
  }

  .contactInfo {
    /* display: none; */
    background-color: #00263ae7;
    position: absolute;
    top: 14.8rem;
    top: clamp(13.438rem, 2.93vw + 12.925rem, 14.8rem);
    left: 0;
    z-index: 2;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 0.2s ease-in;
    width: 100%;
    flex-direction: column;
    padding: 1rem;
  }

  .shrink .contactInfo {
    top: 13.7rem;
    top: clamp(12.375rem, 2.688vw + 11.905rem, 13.625rem);
  }
}
